%set_verify_elf_method none
%define _python_compile_clean ""

Name: python-module-tionix_licensing
Version: 2.0.0
Release: alt0.M70C.1
Summary: Tionix licensing module

Group: Development/Python
License: non-exclusive
Url: http://tionix.ru/
Source0: %name-%version.tar
Patch: %name-install.patch

BuildArch: noarch
AutoReq: no

BuildRequires: python-devel
BuildRequires: python-module-setuptools
BuildRequires: python-module-pbr >= 1.8
BuildRequires: python-module-sphinx

%description
Tionix licensing module

%prep
%setup
%patch -p2

# Remove bundled egg-info
rm -rf *.egg-info

%build
%python_build

%install
%python_install

%files
%python_sitelibdir/*
%_sysconfdir/tionix/licenses

%changelog
* Fri Apr 20 2018 Trubach Sergey <trubach@altlinux.org> 2.0.0-alt0.M70C.1
- New version 2.0.0
- Fixed 'empty session token' vulnerability, see tionix letter #60,13.04.2018

* Fri May 26 2017 Lenar Shakirov <snejok@altlinux.ru> 1.0.0-alt0.M70C.4
- Undef _python_compile_clean

* Wed May 24 2017 Lenar Shakirov <snejok@altlinux.ru> 1.0.0-alt0.M70C.3
- Packaging fixed

* Wed Mar 15 2017 Lenar Shakirov <snejok@altlinux.ru> 1.0.0-alt0.M70C.2
- New version

* Tue Dec 13 2016 Lenar Shakirov <snejok@altlinux.ru> 1.0.0-alt0.M70C.1
- Initial build for ALT
